nginxの脆弱性情報(CVE-2022-3638)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

10/22/2022にnginxの脆弱性情報(CVE-2022-3638)が公開されています。今回はこちらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

CVE番号 影響するバージョン 一次情報源 Priority CVSS Score / CVSS Vector
CVE-2022-3638 http://hg.nginx.org/nginx/rev/0422365794f7

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2022-3638
    • メモリリークの可能性
    • ngxin_resolver.cのIPv4 Off ハンドラに問題があり、メモリリークが発生する可能性があります。攻撃はリモートから実行可能になります。脆弱性番号としてはVDB-211937がアサインされています。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、サービスの再起動が発生しますので、pacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。

日々のメモを更新しています。

セキュリティ関係ニュースを更新しています。個別で情報出せるようになる前の簡単な情報・リンクなんかも載せていきます。

セミナー情報

今年も情報処理学会のCSS2022(有償)中でOWS2022を開催致します。

■開催期間 2022年10月24日(月) ~ 2022年10月27日(木)

■会場 熊本城ホールとオンライン(ZOOM)のハイブリッド開催

主催 一般社団法人 情報処理学会 コンピュータセキュリティ研究会(CSEC)

共催 一般社団法人 情報処理学会 セキュリティ心理学とトラスト研究会(SPT)

合同開催

OWS2022では、企画講演セッションの他に、招待講演として「タイトル:オープンソースソフトウェアをより安全にするための取組み」と題してLinux Foundationの方に講演いただきます。

他にもOSSのセキュリティに関する講演や論文発表が目白押しです。奮ってご参加ください。

参加費はこちら(OWSだけでなくCSS全てに参加することができます。

参加登録はこちら

前へ

Linux Kernelの脆弱性(Moderate: CVE-2022-41674, CVE-2022-42719, CVE-2022-42720, CVE-2022-42721, CVE-2022-42722)

次へ

Linux Kernelの脆弱性(CVE-2022-43750)